Subject: Re: 3.0.12 - unregister_pernet_gen_subsys hogging whole system

From: Nikola Ciprich <[email-masked]>
Date: Thu, 22 Dec 2011 22:52:46 +0100

> after updating one of our servers to 3.0.12 kernel, it became painfully slow (actually
> it's almost unusable).
> 
> trying perf top, I see following:
> 
>             27465.00 - 59.8% : unregister_pernet_gen_subsys
>              3144.00 -  6.8% : __start_notes
>              1211.00 -  2.6% : swiotlb_sync_sg
>              1155.00 -  2.5% : swiotlb_unmap_sg_attrs
>               621.00 -  1.4% : pci_pm_init
>               565.00 -  1.2% : swiotlb_map_sg_attrs
>               503.00 -  1.1% : cgroup_attach_task

crap, I was using too old perf binary - that might be reason why I wasn't able
to find any evidence of unregister_pernet_gen_subsys for 3.x kernels :)
I switched to 3.0.13 now (and actual perf) and it seems better..
Should the problem reappear, I'll report it..
sorry for the fuzz..
n.

> 
> I wasn't too successfull trying to find something related, so I'd like to ask,
> which subsystem might be calling unregister_pernet_gen_subsys and why?
> I guess this is certaingly a bug... Could somebody please have a look at this?
> I'll provide all debugging information I can if needed..
> 
> thanks a lot in advance
> 
> with best regards
> 
> nik
> 
> -- 
> -------------------------------------
> Ing. Nikola CIPRICH
> LinuxBox.cz, s.r.o.
> 28. rijna 168, 709 01 Ostrava
> 
> tel.:   +420 596 603 142
> fax:    +420 596 621 273
> mobil:  +420 777 093 799
> www.linuxbox.cz
> 
> mobil servis: +420 737 238 656
> email servis: [email-masked]
> -------------------------------------

-- 
-------------------------------------
Ing. Nikola CIPRICH
LinuxBox.cz, s.r.o.
28. rijna 168, 709 01 Ostrava

tel.:   +420 596 603 142
fax:    +420 596 621 273
mobil:  +420 777 093 799

www.linuxbox.cz

mobil servis: +420 737 238 656
email servis: [email-masked]
-------------------------------------